##############################################################
## MOD Title: Profile guestbook
## MOD Author: paul999 < webmaster@paulscripts.nl > (paul sohier) http://www.paulscripts.nl
## MOD Description: With this mod, you have a profile guestbook.
## MOD Version: 0.0.6
##
## Installation Level: Intermediate
## Installation Time: 15 Minutes
## Files To Edit: 11
##		admin/admin_board.php
##		admin/admin_users.php
##		templates/subSilver/profile_view_body.tpl
##		templates/subSilver/profile_add_body.tpl
##		templates/subSilver/admin/board_config_body.tpl
##		templates/subSilver/admin/user_edit_body.tpl
##		includes/usercp_register.php
##		language/lang_english/lang_main.php
##		language/lang_english/lang_admin.php
##		includes/constants.php
## Included Files: 4
##		includes/functions_guestbook.php
##		templates/subSilver/gb_post.tpl
##		templates/subSilver/gb_view.tpl
##		language/lang_english/email/guestbook.tpl
## License: http://opensource.org/licenses/gpl-license.php GNU Public License v2 
##############################################################
## For security purposes, please check: http://www.phpbb.com/mods/
## for the latest version of this MOD. Although MODs are checked
## before being allowed in the MODs Database there is no guarantee
## that there are no security problems within the MOD. No support
## will be given for MODs not found within the MODs Database which
## can be found at http://www.phpbb.com/mods/
############################################################## 
## Author Notes: In version 1.0.0 is nothing changed.
## In version 1.0.1 is only some lang changed.
## for update, see the update files, give by version 0.0.4
## (If you want to update to version 1.0.1,
## 	you must only replace the files, and change lang_main.php,
## 	with the new entry's)
## If you want to update from version 0.0.7 to 0.0.6,
## You must use the special file!
## After updating, you must delete the cache/profilemod.php!
## For updating to version 0.0.7, you must only replace the files!
##############################################################
## MOD History:
##
##	 2005-09-30 - Version 1.0.4
##		- Make changes for submitting
##		- Deleted cash add.
##
##	 2005-09-30 - Version 0.0.7(Same as version 1.0.4)
##		- Make changes for submitting
##		- Deleted cash add.
##
##	 2005-09-09 - Version 1.0.3
##		- Addes some requests:
##			- Points and cash mod support
##			- Quick reply
##			- Eneble disable gb for each user.
##			- Can set min posts for posting a message
##		- Edit 8 small bugs.
##		- Edit some things for submitting
##
##	 2005-09-09 - Version 0.0.6(Same as version 1.0.3)
##		- Addes some requests:
##			- Points and cash mod support
##			- Quick reply
##			- Eneble disable gb for each user.
##			- Can set min posts for posting a message
##		- Edit 8 small bugs.
##		- Edit some things for submitting
##		- Mod is now RC1
##
##   2005-08-12 - Version 0.0.5(Same as version 1.0.2)
##		- Make some changes for submitting(Only code in functions_guestbook.php)
##
##   2005-08-12 - Version 1.0.2
##		- Make some changes for submitting(Only code in functions_guestbook.php)
##
##   2005-07-28 - Version 1.0.1
##		- Make some changes for submitting
##
##   2005-07-27 - Version 1.0.0
##		- Make the mod install easymod compatible.
##		- New mod header.
##
##   2005-07-18 - Version 0.0.4
##		- Added guest name.
##		- Small bugfixes
##
##   2005-06-23 - Version 0.0.3
##		- Added version checker
##		- Added enable disable guest posting
##		- Added enable disable email on reply
## 		- Edit some bugs.
##		- Added new lang string(I was forgot one :D)
##
##   2005-06-22 - Version 0.0.2
##      - Edit some bugs.
##      - Guests can post also.
##      - Email has been send to user.
##      - Edit, quote and pagination has been replaced(They don't work :D)
##      - Lang updated. 
##
##   2005-06-22 - Version 0.0.1 
##      - first release.
##
##############################################################
## Before Adding This MOD To Your Forum, You Should Back Up All Files Related To This MOD
##############################################################

#
#-----[ SQL ]------------------------------------------
#

ALTER TABLE `phpbb_users` ADD `user_can_gb` TINYINT( 10 ) DEFAULT '1' NOT NULL;
INSERT INTO `phpbb_config` ( `config_name` , `config_value` ) VALUES ('gb_posts', '500');

#
#-----[ COPY ]------------------------------------------
#

copy includes/functions_guestbook.php to includes/functions_guestbook.php
copy templates/subSilver/gb_post.tpl to templates/subSilver/gb_post.tpl
copy templates/subSilver/gb_view.tpl to templates/subSilver/gb_view.tpl
copy language/lang_english/email/guestbook.tpl to language/lang_english/email/guestbook.tpl

#
#-----[ OPEN ]------------------------------------------
#

admin/admin_board.php

#
#-----[ FIND ]------------------------------------------
#

$gb_guest_yes = ( $new['allow_guests_gb'] ) ? "checked=\"checked\"" : "";
$gb_guest_no = ( !$new['allow_guests_gb'] ) ? "checked=\"checked\"" : "";

#
#-----[ FIND ]------------------------------------------
#

"L_NO_GUEST_GB" => $lang['gb_no_guest'],
"L_NO_GUEST_GB_EXPLAIN" => $lang['gb_no_guest_explain'],

#
#-----[ AFTER, ADD ]------------------------------------------
#

"L_POST_GB" => $lang['gb_post'],
"L_POST_GB_EXPLAIN" => $lang['gb_post_exp'],

#
#-----[ FIND ]------------------------------------------
#

"NO_GUEST_YES" => $gb_guest_yes,
"NO_GUEST_NO" => $gb_guest_no,

#
#-----[ AFTER, ADD ]------------------------------------------
#

"GB_POST" => $new['gb_posts'],

#
#-----[ OPEN ]------------------------------------------
#

admin/admin_users.php

#
#-----[ FIND ]------------------------------------------
#

$gb_email = ( isset($HTTP_POST_VARS['gb_email']) ) ? ( ($HTTP_POST_VARS['gb_email']) ? TRUE : 0 ) : TRUE;

#
#-----[ AFTER, ADD ]------------------------------------------
#

$gb_can = ( isset($HTTP_POST_VARS['gb_can']) ) ? ( ($HTTP_POST_VARS['gb_can']) ? TRUE : 0 ) : TRUE;

#
#-----[ FIND ]------------------------------------------
#

			$sql = "UPDATE " . USERS_TABLE . "
				SET "

#
#-----[ IN-LINE FIND ]------------------------------------------
#

user_email_new_gb = $gb_email,

#
#-----[ IN-LINE AFTER, ADD ]------------------------------------------
#

 user_can_gb = $gb_can, 

#
#-----[ FIND ]------------------------------------------
#

$gb_email = $this_userdata['user_email_new_gb'];

#
#-----[ AFTER, ADD ]------------------------------------------
#

$gb_can = $this_userdata['user_can_gb'];

#
#-----[ FIND ]------------------------------------------
#

		'GB_EMAIL_YES' => ($gb_email) ? 'checked="checked"' : '',
		'GB_EMAIL_NO' => (!$gb_email) ? 'checked="checked"' : '',

#
#-----[ AFTER, ADD ]------------------------------------------
#

		'GB_CAN_YES' => ($gb_can) ? 'checked="checked"' : '',
		'GB_CAN_NO' => (!$gb_can) ? 'checked="checked"' : '',
			
#
#-----[ FIND ]------------------------------------------
#
		
		'L_GB_EMAIL' => $lang['gb_email'],

#
#-----[ AFTER, ADD ]------------------------------------------
#	

		'L_GB_CAN' => $lang['gb_can'],
		
#
#-----[ OPEN ]------------------------------------------
#

templates/subSilver/admin/board_config_body.tpl

#
#-----[ FIND ]------------------------------------------
#
	
	<tr>
		<td class="row1">{L_NO_GUEST_GB}<br /><span class="gensmall">{L_NO_GUEST_GB_EXPLAIN}</span></td>
		<td class="row2"><input type="radio" name="allow_guests_gb" value="1" {NO_GUEST_YES} /> {L_YES}&nbsp;&nbsp;<input type="radio" name="allow_guests_gb" value="0" {NO_GUEST_NO} /> {L_NO}</td>
	</tr>	
	
#
#-----[ AFTER, ADD ]------------------------------------------
#	

	<tr>
		<td class="row1">{L_POST_GB}<br /><span class="gensmall">{L_POST_GB_EXPLAIN}</span></td>
		<td class="row2"><input type="text" name="gb_posts" value="{GB_POST}" /></td>
	</tr>		
	
#
#-----[ OPEN ]------------------------------------------
#

templates/subSilver/admin/user_edit_body.tpl

#
#-----[ FIND ]------------------------------------------
#

	<tr> 
	  <td class="row1"><span class="gen">{L_GB_EMAIL}:</span><br /></td>
	  <td class="row2"> 
		<input type="radio" name="gb_email" value="1" {GB_EMAIL_YES} />
		<span class="gen">{L_YES}</span>&nbsp;&nbsp; 
		<input type="radio" name="gb_email" value="0" {GB_EMAIL_NO} />
		<span class="gen">{L_NO}</span></td>
	</tr>	

#
#-----[ AFTER, ADD ]------------------------------------------
#	

	<tr> 
	  <td class="row1"><span class="gen">{L_GB_USE}:</span><br /></td>
	  <td class="row2"> 
		<input type="radio" name="gb_can" value="1" {GB_CAN_YES} />
		<span class="gen">{L_YES}</span>&nbsp;&nbsp; 
		<input type="radio" name="gb_can" value="0" {GB_CAN_NO} />
		<span class="gen">{L_NO}</span></td>
	</tr>		
	
#
#-----[ OPEN ]------------------------------------------
#

language/lang_english/lang_main.php

#
#-----[ FIND ]------------------------------------------
#

//End profile guestbook

#
#-----[ BEFORE, ADD ]------------------------------------------
#

//Added in version 0.0.4
$lang['gb_posts_not'] = 'You don\'t have enough forum posts to post a message to this guestbook. You must have more then %s posts.';
$lang['re'] = 'RE';
$lang['dis'] = 'Don\'t display gb';
$lang['en'] = 'display gb';


#
#-----[ OPEN ]------------------------------------------
#

language/lang_english/lang_admin.php

#
#-----[ FIND ]------------------------------------------
#

?>

#
#-----[ BEFORE, ADD ]------------------------------------------
#

$lang['gb_cash'] = 'Use cash mod or points hack at profile gb.';
$lang['gb_cash2'] = 'Cash value';
$lang['gb_cash2_exp'] = 'How much every user get when he/she make a posting';
$lang['gb_can'] = 'User can have profile guestbook, and can see other.';
$lang['gb_post'] = 'Min posts for gb';
$lang['gb_post_exp'] = 'Minimal number of posts for a posting in a guestbook.';

#
#-----[ SAVE/CLOSE ALL FILES ]------------------------------------------
#
# EoM 
