##############################################################
## MOD Title: Profile guestbook cashmod addon
## MOD Author: paul999 < webmaster@paulscripts.nl > (paul sohier) http://www.paulscripts.nl
## MOD Description: Addon for profile guestbook
## MOD Version: 0.0.1
##
## Installation Level: Intermediate
## Installation Time: 5 Minutes
## Files To Edit: 5
##		admin/admin_board.php
##		templates/subSilver/admin/board_config_body.tpl
##		includes/usercp_viewprofile.php
##		includes/functions_guestbook.php
##		language/lang_english/lang_admin.php
## Included Files: 0
## License: http://opensource.org/licenses/gpl-license.php GNU Public License v2 
##############################################################
## For security purposes, please check: http://www.phpbb.com/mods/
## for the latest version of this MOD. Although MODs are checked
## before being allowed in the MODs Database there is no guarantee
## that there are no security problems within the MOD. No support
## will be given for MODs not found within the MODs Database which
## can be found at http://www.phpbb.com/mods/
############################################################## 
## Author Notes: 
##############################################################
## MOD History:
##
##	 2005-09-30 - Version 0.0.1
##		- first release.
##
##
##############################################################
## Before Adding This MOD To Your Forum, You Should Back Up All Files Related To This MOD
##############################################################
#
#-----[ SQL ]------------------------------------------
#

INSERT INTO `phpbb_config` ( `config_name` , `config_value` ) VALUES ('gb_cash', '0');
INSERT INTO `phpbb_config` ( `config_name` , `config_value` ) VALUES ('gb_cash2', '0');

#
#-----[ OPEN ]------------------------------------------
#

admin/admin_board.php

#
#-----[ FIND ]------------------------------------------
#

$gb_guest_yes = ( $new['allow_guests_gb'] ) ? "checked=\"checked\"" : "";
$gb_guest_no = ( !$new['allow_guests_gb'] ) ? "checked=\"checked\"" : "";

#
#-----[ AFTER, ADD ]------------------------------------------
#

$gb_cash_yes = ( $new['gb_cash'] ) ? "checked=\"checked\"" : "";
$gb_cash_no = ( !$new['gb_cash'] ) ? "checked=\"checked\"" : "";

#
#-----[ FIND ]------------------------------------------
#

"L_NO_GUEST_GB" => $lang['gb_no_guest'],
"L_NO_GUEST_GB_EXPLAIN" => $lang['gb_no_guest_explain'],

#
#-----[ AFTER, ADD ]------------------------------------------
#

"L_CASH_GB" => $lang['gb_cash'],
"L_CASH_GB_EXPLAIN" => $lang['gb_cash_exp'],
"L_CASH2_GB" => $lang['gb_cash2'],
"L_CASH2_GB_EXPLAIN" => $lang['gb_cash2_exp'],

#
#-----[ FIND ]------------------------------------------
#

"NO_GUEST_YES" => $gb_guest_yes,
"NO_GUEST_NO" => $gb_guest_no,

#
#-----[ AFTER, ADD ]------------------------------------------
#

"CASH_YES" => $gb_cash_yes,
"CASH_NO" => $gb_cash_no,
"GB_CASH2" => $new['gb_cash2'],
		
#
#-----[ OPEN ]------------------------------------------
#

templates/subSilver/admin/board_config_body.tpl

#
#-----[ FIND ]------------------------------------------
#
	
	<tr>
		<td class="row1">{L_NO_GUEST_GB}<br /><span class="gensmall">{L_NO_GUEST_GB_EXPLAIN}</span></td>
		<td class="row2"><input type="radio" name="allow_guests_gb" value="1" {NO_GUEST_YES} /> {L_YES}&nbsp;&nbsp;<input type="radio" name="allow_guests_gb" value="0" {NO_GUEST_NO} /> {L_NO}</td>
	</tr>	
	
#
#-----[ AFTER, ADD ]------------------------------------------
#	

	<tr>
		<td class="row1">{L_CASH_GB}<br /><span class="gensmall">{L_CASH_GB_EXPLAIN}</span></td>
		<td class="row2"><input type="radio" name="gb_cash" value="1" {CASH_YES} /> {L_YES}&nbsp;&nbsp;<input type="radio" name="gb_cash" value="0" {CASH_NO} /> {L_NO}</td>
	</tr>
	<tr>
		<td class="row1">{L_CASH2_GB}<br /><span class="gensmall">{L_CASH2_GB_EXPLAIN}</span></td>
		<td class="row2"><input type="text" name="gb_cash2" value="{GB_CASH2}" /></td>
	</tr>				
	
#
#-----[ OPEN ]------------------------------------------
#

includes/usercp_viewprofile.php

#
#-----[ FIND ]------------------------------------------
#

if ( !defined('IN_PHPBB') )


#
#-----[ BEFORE, ADD ]------------------------------------------
#

define('IN_CASHMOD', true);
@include_once($phpbb_root_path . 'includes/functions_cash.'.$phpEx);

#
#-----[ OPEN ]------------------------------------------
#

includes/functions_guestbook.php

#
#-----[ FIND ]------------------------------------------
#
                         if($mode != 'edit')
                         {                          

#
#-----[ AFTER, ADD ]------------------------------------------
#
                                 
$this->cash_mod(); 

#
#-----[ FIND ]------------------------------------------
#

}
?>

#
#-----[ BEFORE, ADD ]------------------------------------------
#

function cash_mod()
{ 
	global $board_config,$db;
	if(!$board_config['gb_cash'])
	{ 
		return; 
	} 
	$sql = "UPDATE ".USERS_TABLE." SET user_points = user_points + ".$board_config['gb_cash2']." WHERE user_id = ".$userdata['user_id']; 
	if(!$db->sql_query($sql))
	{ 
		message_die(GENERAL_ERROR,"Could not update cash.","",__LINE__,__FILE__,$sql); 
	}
} 
#
#-----[ OPEN ]------------------------------------------
#

language/lang_english/lang_admin.php

#
#-----[ FIND ]------------------------------------------
#


?>

#
#-----[ BEFORE, ADD ]------------------------------------------
#
$lang['gb_cash'] = 'Use cash mod or points hack at profile gb.';
$lang['gb_cash2'] = 'Cash value';
$lang['gb_cash2_exp'] = 'How much every user get when he/she make a posting';
#
#-----[ SAVE/CLOSE ALL FILES ]------------------------------------------
#
# EoM 
